bambam(6)

NOM
bambam - un jeu de clavier et de gribouillage pour les bébés

SYNOPSIS
bambam [OPTIONS]

DESCRIPTION

-u, --uppercase
    Afficher les lettres MAJUSCULES.

-d, --deterministic-sounds
    Produire les mêmes sons sur les mêmes touches.

-D, --dark
    Utiliser un fond sombre au lieu d’un fond clair.

-m, --mute
    Start muted.

--sticky-mouse
    Start with sticky mouse buttons enabled.

--sound_blacklist=GLOB
    Liste des modèles de noms de fichiers sonores à ne jamais jouer.

--image_blacklist=GLOB
    Liste des modèles de noms de fichiers d’image à ne jamais afficher.

--extension=EXTENSION
    Utilisez l'extension spécifiée.

--wayland-ok
    Ne pas empêcher d'exécuter sous Wayland. Voir la section NOTES.

bambam est un jeu de clavier et de souris pour bébés écrit en Python. Appuyer sur les touches alphabétiques les affiche dans des emplacements et des couleurs aléatoires. Appuyer sur n'importe quelle autre touche dessine de petites images dans des endroits aléatoires. Faire glisser la souris tout en appuyant sur le bouton de la souris dessine dans des couleurs changeantes de manière aléatoire. L'écran est effacé aléatoirement.

REMARQUES
Pour quitter, tapez directement la commande mentionnée dans le coin supérieur gauche de la fenêtre. Dans les langues anglaises, c'est le mot : quit.

Attention il existe des moyens de passer à une autre application depuis bambam :

•   lorsqu'il est exécuté sur Wayland, il n'est actuellement pas possible pour bambam de recevoir toutes les touches appuyées. Une des conséquences est que si vous utilisez le Shell GNOME, appuyer sur la touche WIndows (alias Super) activera la vue d'ensemble des activités. Veuillez vérifier votre environnement. Comme solution de contournement, à partir de la version 1.1.2, bambam détectera s'il est exécuté sur Wayland. Si c'est le cas, bambam affichera un avertissement et refusera de fonctionner. Vous pouvez désactiver cette solution avec l'option --wayland-ok.

•   bambam n'empêche pas de passer aux terminaux virtuels (par ex. CTRL+ALT+F1). Voir l'exemple 50-dont-vt-switch.conf si vous souhaitez bloquer cela.

•   il existe peut-être d'autres moyens encore inconnus dans d'autres environnements et gestionnaires de fenêtres.

Pour les raisons ci-dessus, à partir de la version 1.2.0, il est possible et recommandé d'exécuter bambam dans une session de connexion dédiée.

•   Une façon de procéder consiste à sélectionner le type de session BamBam dans les paramètres de votre gestionnaire de fenêtres lorsque vous vous connectez (cherche l'icône d'engrenage).

•   Une autre façon de faire est d'utiliser une commande comme exec startx bambam depuis une console textuelle.

To turn the sound off and on, type sound in the game. The legacy mute and unmute commands are also supported for now, they will be removed in a future version.

To toggle sticky mouse buttons, type mouse in the game. In this mode, the mouse button only needs to be pressed once to start or stop drawing.

bambam charge les images (fichiers GIF, JPEG, PNG et TIFF) et les sons (fichiers WAV et OGG) à partir des répertoires suivants :

•   le dossier data fourni avec le jeu,

•   le répertoire data dans le sous-répertoire de bambam $XDG_DATA_HOME (généralement ~/.local/share/bambam/data)

Lors de la recherche de fichiers dans les dossiers, bambam suit les liens symboliques et descend les répertoires. Cela rend facile le placement des fichiers d'utilisation de bambam ailleurs.

À partir de la version 1.3.0, bambam supporte expérimentalement des extensions, qui sont une manière de modifier le comportement du programme. Bambam charge les extensions depuis les répertoires suivants :

•   le répertoire extensions fourni avec le jeu,

•   le répertoire extensions dans le sous-répertoire $XDG_DATA_HOME de bambam (en général ~/.local/share/bambam/extensions)

Voir le fichier EXTENSIONS.md pour la documentation sur la création et la modification d'extensions.

AUTEUR
Spike Burch <spikeb@gmail.com> Marcin Owsiany <marcin@owsiany.pl>